Choose Your PHP Version for Your Website

Choose Your PHP Version for Your Website

User Selectable PHP Version

Big Mountain remains committed to providing the best Web Hosting experience possible. We strive to deliver the best security, performance and support available for today’s modern websites. We recognize that not all websites are created equal and have added a user selectable option in our DirectAdmin Control Panel to allow our customers to choose between two different PHP versions, 5.3 or 5.5.

While PHP 5.3 has reached end of life and no longer receives updates, it is still a viable solution for older websites that may be using older scripts that are not yet compatible with PHP 5.5. PHP 5.5 is faster, more secure, consumes less memory and is considered today’s recommended standard release for web hosting companies. If you are not dependent on using the older PHP 5.3 version, we highly recommend switching to PHP 5.5.

While there have been no reported problems with PHP 5.3, WordPress recommends PHP version 5.4 or better. Big Mountain recommends that our WordPress users update WordPress and all plugins to the latest available releases and switch over to PHP 5.5. If you are using plugins that are no longer supported and are not compatible with PHP 5.5, then we recommend finding replacement plugins that are in current development. If this is not an option, then you may continue to use PHP 5.3.

To switch your PHP version:

  1. Log into your DirectAdmin Control Panel and Click on Domain Setup.
  2. Click on the domain you wish to modify.
  3. Navigate to the PHP Version Selector.
  4. Using the Drop down menu under Handler, choose between PHP 5.3 suphp or PHP 5.5 suphp.
  5. Click Save.

If you find that you run into any compatibility problems with the new PHP version, simply go back and change it to your previous PHP version setting. You may select your preferred version of PHP for each of your domains as needed.

 

Why not PHP 5.6 or 5.7?

We considered installing one of these newer versions. However, there are thousands of WordPress plugins available and not all of them are compatible with PHP version 5.6 or newer. PHP 5.7 can still be considered a beta version and is not commonly used. While the majority of plugins have been updated for PHP 5.4 and 5.5, the few that have not will still continue to work on PHP 5.3, which is why we are providing this as an option.

Please visit our site to learn more about our Web Hosting service.

To learn more about our Kerio hosting solutions, please visit Kerio Connect Cloud shared hosting or Kerio Connect Dedicated Server pages.

If you have any questions about this feature change or about any of the services Big Mountain offers, please contact us online or by calling 866-910-1070. Thank you!